$(function (){

	try {
		$("#img").mouseover(function() {

			}).hover(function() { 
				$('#imgView').css({"display":""});
				if ($id('img').value.substr(0,7)=="http://"){
					$id('imgView').src=$id('img').value;
				}else{
					$id('imgView').src=$id('taoImgDir').value + $id('img').value;
				}
			}, function(){
				$('#imgView').css({"display":"none"});
		});

	}catch (e) {}


	WindowHeight(0);
	setTimeout("WindowHeight(0)",500);

});


function CheckForm(){
	if ($id('theme').value==""){ alert('商品名称不能为空.');$id('theme').focus();return false; }
	if ($id('url').value=="" || $id('url').value=="http://"){ alert('商品推广链接不能为空.');$id('url').focus();return false; }
	if ($id('img').value=="" || $id('img').value=="http://"){ alert('商品图片不能为空.');$id('img').focus();return false; }
	if ($id('shopUrl').value=="" || $id('shopUrl').value=="http://"){ alert('店铺推广链接不能为空.');$id('shopUrl').focus();return false; }
}

function GetJssdkGoodsInfo(){
	if ($id('taokeUrl').value==""){
		alert("淘宝商品id或URL不能为空！");$id('taokeUrl').focus();return false;
	}
	goodsId=$id('taokeUrl').value.replace(/[\s\S]*?id=([0-9]*)([\s\S]*)/ig,"$1");
	if (goodsId=="" || goodsId!=FiltInt(goodsId)){
		alert("淘宝商品id或URL格式不对，获取不到商品ID！");$id('taokeUrl').focus();return false;
	}

	var ajax=new AJAXRequest({
		timeout: 30000, // 超时时提醒用户通信中超时，请用户重新操作 
		ontimeout: function(obj) {
			alert("很抱歉，由于网络问题，与服务器的通信超时，请重新操作。");
		}
	});
	ajax.encode = function(str) {
		return escape(str);
	}

	try {
		document.getElementById("loadingStr").innerHTML = "<span style='font-size:14px;'><img src='images/onload.gif' style='margin-right:5px;' />数据读取中...</span>";
	}catch (e) {}

	ajax.get(
		"readTaokeJs.asp?mudi=setCookies",
		// 回调函数，注意，是回调函数名，不要带括号
		function(obj) {
			retStr = obj.responseText;
			if (retStr.indexOf('true')!=-1){
				taoAppKey=retStr.substring(6,retStr.length-1);

				TOP.init({ 
					appKey:taoAppKey
				}); 

				TOP.api('rest', 'get',{ 
					method:'taobao.taobaoke.widget.items.convert',
					num_iids:goodsId,
					fields:'title,nick,pic_url,price,click_url,shop_click_url,seller_credit_score,volume,shop_type,commission_rate,commission,commission_num,commission_volume'
				 },function(resp){
					if(resp.error_response){
						alert('taobao.taobaoke.widget.items.convert接口获取商信息品失败!'+ resp.error_response.msg);
						return false;
					}
					var respItem=resp.taobaoke_items.taobaoke_item;
					for(var i=0;i<respItem.length;i++){
						$id('theme').value=respItem[i].title;
						$id('url').value=respItem[i].click_url;
						$id('img').value=respItem[i].pic_url;
						$id('cost').value=respItem[i].price;
						$id('num').value=respItem[i].volume;
						try { $id('level99').checked=true; }catch (e) {}
						try { $id('level'+ respItem[i].seller_credit_score +'').checked=true; }catch (e) {}
						$id('user').value=respItem[i].nick;
						$id('shopUrl').value=respItem[i].shop_click_url;
					} 
					try {
						document.getElementById("loadingStr").innerHTML = "";
					}catch (e) {}
				});
			}else{
				alert("JSSDK写入cookies出错");
			}
		}
	);

}